Agora RTC Objective-C API Reference Refactor

Public Member Functions
IRtmpLocalUserObserver Class Referenceabstract

## Public Member Functions
virtual void | onAudioTrackPublishSuccess (agora_refptr< rtc::ILocalAudioTrack > audioTrack)=0
virtual void | onAudioTrackPublishStart (agora_refptr< rtc::ILocalAudioTrack > audioTrack)=0
virtual void | onAudioTrackUnpublished (agora_refptr< rtc::ILocalAudioTrack > audioTrack)=0
virtual void | onAudioTrackPublicationFailure (agora_refptr< rtc::ILocalAudioTrack > audioTrack, PublishAudioError error)=0
virtual void | onVideoTrackPublishSuccess (agora_refptr< rtc::ILocalVideoTrack > videoTrack)=0
virtual void | onVideoTrackPublishStart (agora_refptr< rtc::ILocalVideoTrack > videoTrack)=0
virtual void | onVideoTrackUnpublished (agora_refptr< rtc::ILocalVideoTrack > videoTrack)=0
virtual void | onVideoTrackPublicationFailure (agora_refptr< rtc::ILocalVideoTrack > videoTrack, PublishVideoError error)=0

## Detailed Description

The IRtmpLocalUserObserver class.

## Constructor & Destructor Documentation

## ◆ ~IRtmpLocalUserObserver()

virtual ~IRtmpLocalUserObserver | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ onAudioTrackPublishSuccess()

virtual void onAudioTrackPublishSuccess | ( | agora_refptr< rtc::ILocalAudioTrack > | audioTrack | ) |
| pure virtual

Occurs when the first packet of the local audio track is sent, indicating that the local audio track is successfully published.

Parameters

  audioTrack | The pointer to ILocalAudioTrack.

## ◆ onAudioTrackPublishStart()

virtual void onAudioTrackPublishStart | ( | agora_refptr< rtc::ILocalAudioTrack > | audioTrack | ) |
| pure virtual

Deprecated:
  This method will not be called back

## ◆ onAudioTrackUnpublished()

virtual void onAudioTrackUnpublished | ( | agora_refptr< rtc::ILocalAudioTrack > | audioTrack | ) |
| pure virtual

Deprecated:
  This method will not be called back

## ◆ onAudioTrackPublicationFailure()

virtual void onAudioTrackPublicationFailure | ( | agora_refptr< rtc::ILocalAudioTrack > | audioTrack,
|  | PublishAudioError | error
| ) |  |
| pure virtual

Occurs when the local audio track fails to be published.

Parameters

  audioTrack | The pointer to ILocalAudioTrack.
  error | The error information: #RtmpAudioStreamError.

## ◆ onVideoTrackPublishSuccess()

virtual void onVideoTrackPublishSuccess | ( | agora_refptr< rtc::ILocalVideoTrack > | videoTrack | ) |
| pure virtual

Occurs when the first packet of the local video track is sent, indicating that the local video track is successfully published.

Parameters

  videoTrack | The pointer to ILocalVideoTrack.

## ◆ onVideoTrackPublishStart()

virtual void onVideoTrackPublishStart | ( | agora_refptr< rtc::ILocalVideoTrack > | videoTrack | ) |
| pure virtual

Deprecated:
  This method will not be called back

## ◆ onVideoTrackUnpublished()

virtual void onVideoTrackUnpublished | ( | agora_refptr< rtc::ILocalVideoTrack > | videoTrack | ) |
| pure virtual

Deprecated:
  This method will not be called back

## ◆ onVideoTrackPublicationFailure()

virtual void onVideoTrackPublicationFailure | ( | agora_refptr< rtc::ILocalVideoTrack > | videoTrack,
|  | PublishVideoError | error
| ) |  |
| pure virtual

Occurs when the local video track fails to be published.

Parameters

  videoTrack | The pointer to ILocalVideoTrack.
  error | The error information: #RtmpVideoStreamError.